[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TWinControl.DoAlignChildControls

Override this method to position / align all child controls for the specified control.

## Declaration

Source position: controls.pp line 2163

`protected function TWinControl.DoAlignChildControls(`
`TheAlign: TAlign;`
`AControl: TControl;`
`AControlList: TFPList;`
`var ARect: TRect`
`):Boolean; virtual;`

## Arguments

`TheAlign` |  | The alignment of all given controls.
`AControl` |  | Control with child controls and client rectangle used in the method.
`AControlList` |  | The controls to be placed.
`ARect` |  | The unused client rectangle available for the child controls.

## Function result

True when all controls have been placed.

## Description

DoAlignChildControls always returns False in TWinControl. It can be overridden in descendent classes to perform any actions needed, and to set the return value to True to avoid the default handling performed in AlignControls.

## See also

TWinControl.AlignControls |  | Repositions and resizes the control and child controls.